<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Syarikat;
use App\Models\LesenPenjaja;
use App\Models\BorangUlasanIk;
use App\Models\BilPelbagai;
use App\Models\BilPelbagaiItem;
use App\Models\EpbtBpBil;
use App\Models\EpbtEcasResit;
use Illuminate\View\View;

class IkPenjajaController extends Controller
{
        //
    public function senarai_ik(Request $request){

        //dapatkan status bayaran
        $senarais = LesenPenjaja::where('status_progress', 'LIKE', 'lawatan tapak')->get();

        return view('admin.penjaja.senaraipemeriksaan', compact('senarais'));
    }

    public function papar(Request $request, $id){
        $show = 'utama';
        
        $permohonan = LesenPenjaja::find($id);     
     
        return view('admin.penjaja.papar_permohonan', compact('show','permohonan'));
    }

    public function papar_dokumen(Request $request, $id){
        
        $show = 'dokumen'; 
        
        $permohonan = LesenPenjaja::find($id);      

        $doc_kad_pengenalan = null;
        $doc_gambar = null;
        $doc_lokasi = null;
        $doc_kebenaran = null;
        $doc_kenderaan = null;
        $doc_kenderaan_geran = null;
        $doc_suntikan_ty2 = null;
        $doc_kursus_makanan = null;
        if(!$permohonan->dokumens->isEmpty()){
            $doc_kad_pengenalan = $permohonan->dokumens->firstWhere('nama', 'doc_kad_pengenalan');
            $doc_gambar = $permohonan->dokumens->firstWhere('nama', 'doc_gambar');
            $doc_lokasi = $permohonan->dokumens->firstWhere('nama', 'doc_lokasi');
            $doc_kebenaran = $permohonan->dokumens->firstWhere('nama', 'doc_kebenaran');
            $doc_kenderaan = $permohonan->dokumens->firstWhere('nama', 'doc_kenderaan');
            $doc_kenderaan_geran = $permohonan->dokumens->firstWhere('nama', 'doc_kenderaan_geran');
            $doc_suntikan_ty2 = $permohonan->dokumens->firstWhere('nama', 'doc_suntikan_ty2');
            $doc_kursus_makanan = $permohonan->dokumens->firstWhere('nama', 'doc_kursus_makanan');
        }     
     
        return view('admin.penjaja.papar_permohonan', compact('show', 'permohonan', 'doc_kad_pengenalan','doc_gambar',
            'doc_lokasi','doc_kebenaran','doc_kenderaan','doc_kenderaan_geran',
            'doc_suntikan_ty2', 'doc_kursus_makanan'));
    }

    public function papar_wangproses(Request $request, $id){
        $show = 'wang proses';
        
        $permohonan = LesenPenjaja::find($id);     
     
        return view('admin.penjaja.papar_permohonan', compact('show','permohonan'));
    }

    public function papar_map(Request $request, $id){
        
        $show = 'lokasi';
        $permohonan = LesenPenjaja::find($id);        
     
        return view('admin.penjaja.papar_permohonan', compact('show', 'permohonan'));
    }

    public function simpanLokasi(Request $request){
        
        $permohonan = LesenPenjaja::find($request->permohonan_id);    
        $permohonan->longitude = $request->input('longitude');
        $permohonan->latitude = $request->input('latitude');

        $permohonan->save();
     
        return redirect(route('ik.papar-pemeriksaan-map', ['id'=>$request->permohonan_id]));
    }

    public function papar_ulasan(Request $request, $id){
        
        $show = 'ulasan ik';
        $permohonan = LesenPenjaja::find($id);           
     
        return view('admin.penjaja.papar_permohonan', compact('show', 'permohonan'));
    }

    public function simpanUlasan(Request $request){
        $permohonan = BorangUlasanIk::firstOrCreate([
            'lesen_penjaja_id' => $request->permohonan_id,        
        ]);            
        
        $permohonan->dt_periksa = $request->input('dt_periksa');
        $permohonan->kesesuaian_lokasi = $request->input('kesesuaian_lokasi');
        $permohonan->kesesuaian_lokasi_sebab = $request->input('kesesuaian_lokasi_sebab');
        $permohonan->dijalankan_oleh = $request->input('dijalankan_oleh');
        $permohonan->pematuhan_syarat = $request->input('pematuhan_syarat');
        $permohonan->perkara_perlu_dipatuhi = $request->input('perkara_perlu_dipatuhi');

        $permohonan->pemprosesan_makanan = $request->input('pemprosesan_makanan');
        if($permohonan->pemprosesan_makanan == 'ada'){
            $permohonan->pemprosesan_makanan_memasak = $request->has('pemprosesan_makanan_memasak') ? $request->input('pemprosesan_makanan_memasak') : null;
            $permohonan->pemprosesan_makanan_merebus = $request->has('pemprosesan_makanan_merebus') ? $request->input('pemprosesan_makanan_merebus') : null;
            $permohonan->pemprosesan_makanan_menggoreng = $request->has('pemprosesan_makanan_menggoreng') ? $request->input('pemprosesan_makanan_menggoreng') : null;
            $permohonan->pemprosesan_makanan_lain = $request->has('pemprosesan_makanan_lain') ? $request->input('pemprosesan_makanan_lain') : null;
            if($permohonan->pemprosesan_makanan_lain == '1'){
                $permohonan->pemprosesan_makanan_lain_txt = $request->input('pemprosesan_makanan_lain_txt');
            }
            else{
                $permohonan->pemprosesan_makanan_lain_txt = '';
            }
        }

        $permohonan->mendirikan_bangunan = $request->input('mendirikan_bangunan');
        $permohonan->jika_guna_kenderaan = $request->input('jika_guna_kenderaan');
        $permohonan->jenis_kenderaan_lain = $request->input('jenis_kenderaan_lain');
        $permohonan->no_plate_kenderaan = $request->input('no_plate_kenderaan');
        $permohonan->dt_mula_niaga = $request->input('dt_mula_niaga');
        $permohonan->masa_berniaga_mula = $request->input('masa_berniaga_mula');
        
        $permohonan->kebersihan_diri = $request->input('kebersihan_diri');        
        $permohonan->kebersihan_makanan = $request->input('kebersihan_makanan');
        $permohonan->kebersihan_kawasan = $request->input('kebersihan_kawasan');
        $permohonan->laporan_kebersihan_selepas_niaga = $request->input('laporan_kebersihan_selepas_niaga');

        $permohonan->cadangan = $request->input('cadangan');
        $permohonan->tiada_halangan_syarat = $request->input('tiada_halangan_syarat');
        $permohonan->tiada_halangan_notis_dipatuhi = $request->has('tiada_halangan_notis_dipatuhi') ? $request->input('tiada_halangan_notis_dipatuhi') : null;
        $permohonan->tidak_menyokong_atas_sebab = $request->input('tidak_menyokong_atas_sebab');
        $permohonan->dirujuk_unit_penguatkuasa = $request->has('dirujuk_unit_penguatkuasa') ? $request->input('dirujuk_unit_penguatkuasa') : null;
        $permohonan->dirujuk_unit_penguatkuasa_txt = $request->input('dirujuk_unit_penguatkuasa_txt');
        
        $user = $request->user();
        $permohonan->pegawai_id = $user->id;

        $permohonan->save();

        $mohon = LesenPenjaja::find($request->permohonan_id);
        $mohon->status_progress = 'ulasan pegawai';

        if($permohonan->cadangan == 'tiada halangan'){
            $setuju = 'setuju';
        }
        else{
            $setuju = 'tidak setuju';
        }

        $mohon->save();
     
        return redirect(route('ik.papar-pemeriksaan-ulasan', ['id'=>$request->permohonan_id]))->with('success', 'Ulasan telah disimpan.');
    }

}